import { app } from "electron";
import { easeOutQuart } from "../lib/animations";
import { wait } from "../lib/utils";
import wm, {WindowData, wdata} from "../lib/windowManager";

export async function displayOptions() {
  await app.whenReady();
  const mw = wm.create({
    w: 20,
    h: 20,
    whp: true,
    onCreate: (win: WindowData) => { win.win.loadURL(`http://localhost:${process.nfenv.serverPort}/screens/options/`) },
    onClose: () => { process.exit(0) }
  });
  wm.move({ id: mw, x: 50, y: 50, p: true, fromCenter: true });
  await wait(500);
  wm.resize({ id: mw, w: 40, h: 40, smooth: true, p: true, ease: easeOutQuart });
  await wait(500);
};